## org.eclipse.xsd
Interface XSDFacet

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent

All Known Subinterfaces:
  XSDBoundedFacet, XSDCardinalityFacet, XSDConstrainingFacet, XSDEnumerationFacet, XSDFixedFacet, XSDFractionDigitsFacet, XSDFundamentalFacet, XSDLengthFacet, XSDMaxExclusiveFacet, XSDMaxFacet, XSDMaxInclusiveFacet, XSDMaxLengthFacet, XSDMinExclusiveFacet, XSDMinFacet, XSDMinInclusiveFacet, XSDMinLengthFacet, XSDNumericFacet, XSDOrderedFacet, XSDPatternFacet, XSDRepeatableFacet, XSDTotalDigitsFacet, XSDWhiteSpaceFacet

All Known Implementing Classes:
  XSDBoundedFacetImpl, XSDCardinalityFacetImpl, XSDConstrainingFacetImpl, XSDEnumerationFacetImpl, XSDFacetImpl, XSDFixedFacetImpl, XSDFractionDigitsFacetImpl, XSDFundamentalFacetImpl, XSDLengthFacetImpl, XSDMaxExclusiveFacetImpl, XSDMaxFacetImpl, XSDMaxInclusiveFacetImpl, XSDMaxLengthFacetImpl, XSDMinExclusiveFacetImpl, XSDMinFacetImpl, XSDMinInclusiveFacetImpl, XSDMinLengthFacetImpl, XSDNumericFacetImpl, XSDOrderedFacetImpl, XSDPatternFacetImpl, XSDRepeatableFacetImpl, XSDTotalDigitsFacetImpl, XSDWhiteSpaceFacetImpl

    public interface XSDFacet

extends XSDComponent

A representation of the model object 'Facet'.

The following features are supported:

- `Lexical Value`
- `Facet Name`
- `Effective Value`
- `Annotation`
- `Simple Type Definition`

See Also:
  `XSDPackage.getXSDFacet()`

Method Summary
`XSDAnnotation` `getAnnotation()` Returns the value of the 'Annotation' containment reference
`java.lang.Object` `getEffectiveValue()` Returns the value of the 'Effective Value' attribute
`java.lang.String` `getFacetName()` Returns the value of the 'Facet Name' attribute
`java.lang.String` `getLexicalValue()` Returns the value of the 'Lexical Value' attribute
`XSDSimpleTypeDefinition` `getSimpleTypeDefinition()` Returns the value of the 'Simple Type Definition' reference
`void` `setAnnotation(XSDAnnotation value)` Sets the value of the '`Annotation`' containment reference
`void` `setLexicalValue(java.lang.String value)` Sets the value of the '`Lexical Value`' attribute

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLexicalValue

    java.lang.String getLexicalValue()

  Returns the value of the 'Lexical Value' attribute.

  This concrete attribute represents the value of the `value` attribute of the facet element.

  Returns:
    the value of the 'Lexical Value' attribute.
  See Also:
    `setLexicalValue(String)`, `XSDPackage.getXSDFacet_LexicalValue()`

### setLexicalValue

    void setLexicalValue(java.lang.String value)

  Sets the value of the '`Lexical Value`' attribute.

  Parameters:
    `value` - the new value of the 'Lexical Value' attribute.
  See Also:
    `getLexicalValue()`

### getFacetName

    java.lang.String getFacetName()

  Returns the value of the 'Facet Name' attribute.

  This concrete attribute represents the name of this type of facet.

  Returns:
    the value of the 'Facet Name' attribute.
  See Also:
    `XSDPackage.getXSDFacet_FacetName()`

### getEffectiveValue

    java.lang.Object getEffectiveValue()

  Returns the value of the 'Effective Value' attribute.

  This represents a generic version of the `value` infoset property of this facet.

  Returns:
    the value of the 'Effective Value' attribute.
  See Also:
    `XSDPackage.getXSDFacet_EffectiveValue()`

### getAnnotation

    XSDAnnotation getAnnotation()

  Returns the value of the 'Annotation' containment reference.

  This represents the annotation infoset property; each type of facet has an annotation.

  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDFacet_Annotation()`

### setAnnotation

    void setAnnotation(XSDAnnotation value)

  Sets the value of the '`Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Annotation' containment reference.
  See Also:
    `getAnnotation()`

### getSimpleTypeDefinition

    XSDSimpleTypeDefinition getSimpleTypeDefinition()

  Returns the value of the 'Simple Type Definition' reference.

  This represents the `containing` simple type definition of the facet.

  Returns:
    the value of the 'Simple Type Definition' reference.
  See Also:
    `XSDPackage.getXSDFacet_SimpleTypeDefinition()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.